ContentMapStack (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.template.util.ContentMapStack,ContentMapStack class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.template.util
Class ContentMapStack

    java.lang.Object
      |
      +--org.apache.struts.taglib.template.util.ContentMapStack

Deprecated. Use Tiles instead.

public class ContentMapStack
extends java.lang.Object

This class provides access to a stack of ContentMaps in request scope through static methods.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:34:00 +0100 (Fri, 22 Aug 2003) $
Author:
  David Geary

Constructor Summary
`private` | `ContentMapStack()` Deprecated. No instantiations of this class are allowed.

Method Summary
`static java.util.Stack` | `getStack(javax.servlet.jsp.PageContext pc)` Deprecated. Use Tiles instead.
`static ContentMap` | `peek(javax.servlet.jsp.PageContext pc)` Deprecated. Use Tiles instead.
`static ContentMap` | `pop(javax.servlet.jsp.PageContext pc)` Deprecated. Use Tiles instead.
`static void` | `push(javax.servlet.jsp.PageContext pc, ContentMap map)` Deprecated. Use Tiles instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentMapStack

    private ContentMapStack()

  Deprecated.
  No instantiations of this class are allowed.

Method Detail

### getStack

    public static java.util.Stack getStack(javax.servlet.jsp.PageContext pc)

  Deprecated. Use Tiles instead.

  Return a reference to the stack. If there is no stack, one is created and placed into request scope associated with the page context.

  Parameters:
    `pc` - The page context associated with a custom tag.

### peek

    public static ContentMap peek(javax.servlet.jsp.PageContext pc)

  Deprecated. Use Tiles instead.

  Peek at the map on top of the stack.

  Parameters:
    `pc` - The page context associated with a custom tag.

### push

    public static void push(javax.servlet.jsp.PageContext pc,
                            ContentMap map)

  Deprecated. Use Tiles instead.

  Push a content map onto the stack.

  Parameters:
    `pc` - The page context associated with a custom tag.
    `map` - A content map that gets pushed onto the stack.

### pop

    public static ContentMap pop(javax.servlet.jsp.PageContext pc)

  Deprecated. Use Tiles instead.

  Parameters:
    `pc` - The page context associated with a custom tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation